Bug 492544 - Wrong layout order for Russian
Summary: Wrong layout order for Russian
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-keyboard   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-27 11:43 UTC by Arkady L. Shane
Modified: 2012-08-16 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 22:05:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arkady L. Shane 2009-03-27 11:43:11 UTC
New rhpl uses for Russian "ru,us" order of layouts. It is wrong, the proper order is "us,ru" as it was before. Lev Shamardin described in details why in Russia the English layout used by default (https://bugzilla.redhat.com/show_bug.cgi?id=474010#c3).

Comment 1 Martin Sivák 2009-03-27 11:47:03 UTC
Since it was my change, I'll take care of it.

Comment 2 Fedora Admin XMLRPC Client 2009-04-14 19:21:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Martin Sivák 2009-04-15 11:51:39 UTC
Will be reverted in rhpl-0.221

Comment 4 Alexey Torkhov 2009-09-24 19:44:24 UTC
Some rhpl code was moved to system-config-keyboard and now there is wrong order for russian in
http://svn.fedorahosted.org/svn/system-config-keyboard/trunk/lib/keyboard_models.py
it is "ru,us" but should be "us,ru". Same for ukrainian - "ua,us" should be replaced with "us,ua".

Comment 5 Bug Zapper 2009-11-16 09:52:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Arkady L. Shane 2010-08-20 11:49:37 UTC
Maybe you will really  fix it?

Comment 7 Fedora End Of Life 2012-08-16 22:05:06 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.